#ifndef FTPPUT_HPP
#define FTPPUT_HPP

#ifdef HAVE_CONFIG_H
#incude <config.h>
#endif

#include <qapplication.h>
#include <qlist.h>
#include <qvariant.h>

#include "lib/FTPClient.h"

class CFTPPut: public QApplication
{
   Q_OBJECT
private:
   struct CommandStruct
   {
      int Command;
      QString Param[4];
   };

   CFTPClient *pClient;
   bool Done;
   
   QList<struct CommandStruct> CommandList;
   int m_CurrentCommand;

   QString User, Pass, Server, Path;

   void Usage();
   bool ParseUPSP(char *s);
   
   void TriggerNext();
   
private slots:
   void ProcessNextCommand();
   void Action(int, int);
   void Progress(int);

public:
   CFTPPut(int argc, char **argv);
   ~CFTPPut();

public slots:
   void Run();
};

#endif
